#ifndef _LIBKVIMIRCIMPORT_H_
#define _LIBKVIMIRCIMPORT_H_
//
//   File : libkvimircimport.h
//   Creation date : Tue Aug 27 01:28:02 2002 GMT by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2002 Szymon Stefanek (pragma at kvirc dot net)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "kvi_ircserverdb.h"
#include "kvi_string.h"
#include "kvi_http.h"

class KviMircServersIniImportFilter : public KviIrcServerImportFilter
{
	Q_OBJECT
public:
	KviMircServersIniImportFilter();
	~KviMircServersIniImportFilter();
protected:
	void doImport(const char * filename);
public:
	virtual void start();
	virtual void die();
};

class KviRemoteMircServersIniImportFilter : public KviMircServersIniImportFilter
{
	Q_OBJECT
public:
	KviRemoteMircServersIniImportFilter(const char * url);
	~KviRemoteMircServersIniImportFilter();
protected:
	KviStr           m_szUrl;
	KviHttpRequest * m_pRequest;
	KviStr           m_szTmpFileName;
protected slots:
	void requestTerminated(bool bSuccess);
public:
	virtual void start();
	virtual void die();
};

#endif //_LIBKVIMIRCIMPORT_H_
