#ifndef _OPTW_IDENTITY_H_
#define _OPTW_IDENTITY_H_

//
//   File : optw_identity.h
//   Creation date : Tue Nov 14 2000 23:06:12 CEST by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2000 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "kvi_optionswidget.h"
#include <qlistview.h>
#include <qpushbutton.h>

#define KVI_OPTIONS_WIDGET_ICON_KviIdentityOptionsWidget KVI_SMALLICON_WHO
#define KVI_OPTIONS_WIDGET_NAME_KviIdentityOptionsWidget __tr_no_lookup("Identity")

class KviIdentityOptionsWidget : public KviOptionsWidget
{
	Q_OBJECT
public:
	KviIdentityOptionsWidget(QWidget * parent);
	~KviIdentityOptionsWidget();
protected:
	QButton * 	m_pChangeButton1;
	QButton * 	m_pChangeButton2;
	QButton * 	m_pChangeButton3;
	QButton * 	m_pChangeButton4;
    
    KviBoolSelector * m_pISelector;
    KviBoolSelector * m_pWSelector;
    KviBoolSelector * m_pSSelector;
    
    bool      m_bI;
    bool      m_bW;
    bool      m_bS;
    KviStr    m_sModeStr;    
protected:
    void changeNick(short);
protected slots:
    void but1Clicked(void);
    void but2Clicked(void);
    void but3Clicked(void);
    void but4Clicked(void);
    void wModeCheckToggled(bool);
    void sModeCheckToggled(bool);
    void iModeCheckToggled(bool);
    void changeStatus(char);
    void butModeClicked(void);    
public:
    virtual void commit(void);
};

#endif //!_OPTW_IDENTITY_H_
