#ifndef _OPTW_INTERFACELOOKGLOBAL_H_
#define _OPTW_INTERFACELOOKGLOBAL_H_

//
//   File : optw_interfacelookglobal.h
//   Creation date : Sun Jun 3 2001 20:49:02 CEST by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2001 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "kvi_settings.h"
#include "kvi_optionswidget.h"
#include "kvi_selectors.h"

#define KVI_OPTIONS_WIDGET_ICON_KviInterfaceLookGlobalOptionsWidget KVI_SMALLICON_GUI
#define KVI_OPTIONS_WIDGET_NAME_KviInterfaceLookGlobalOptionsWidget __tr_no_lookup("Interface look")
#define KVI_OPTIONS_WIDGET_PARENT_KviInterfaceLookGlobalOptionsWidget KviLookOptionsWidget

class KviInterfaceLookGlobalOptionsWidget : public KviOptionsWidget
{
	Q_OBJECT
public:
	KviInterfaceLookGlobalOptionsWidget(QWidget * parent);
	~KviInterfaceLookGlobalOptionsWidget();
protected:
#ifdef COMPILE_PSEUDO_TRANSPARENCY
	KviPixmapSelector * m_pGlobalBackgroundPixmapSelector;
	KviBoolSelector * m_pUseTransparencyBoolSelector;
#ifdef COMPILE_KDE_SUPPORT
	KviBoolSelector * m_pObtainBackgroundFromKdeBoolSelector;
#endif
#endif
protected slots:
	void enableGlobalBackgroundPixmapSelector(bool);
};

#endif //!_OPTW_INTERFACELOOKGLOBAL_H_
